Get Table

Retrieve a table's metadata, schema, and row count.

GET/api/v1/tables/{tableId}
X-API-Key<token>

Your SteelEngine API key (personal or workspace). Generate one from the SteelEngine dashboard under Settings > API Keys.

In: header

Path Parameters

tableId*string

The unique identifier of the table.

Query Parameters

workspaceId*string

The unique identifier of the workspace.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/tables/string?workspaceId=string"
{  "success": true,  "data": {    "table": {      "id": "tbl_abc123",      "name": "contacts",      "description": "Customer contacts",      "schema": {        "columns": [          {            "name": "email",            "type": "string",            "required": true,            "unique": true          }        ]      },      "rowCount": 150,      "maxRows": 10000,      "createdAt": "2026-01-15T10:30:00Z",      "updatedAt": "2026-01-15T10:30:00Z"    }  }}